<?php

// Define path to application directory
defined('APPLICATION_PATH')
    || define('APPLICATION_PATH', realpath(dirname(__FILE__) . '/../application'));
defined('TYPE_LIGNE_LOGEMENT')
    || define('TYPE_LIGNE_LOGEMENT', 'LOGEMENT');
defined('TYPE_MVT_ENTREE')
    || define('TYPE_MVT_ENTREE', 'ENTREE');
defined('TYPE_MVT_SORTIE')
    || define('TYPE_MVT_SORTIE', 'SORTIE');

defined('DB_USER')
    || define('DB_USER', 'root');
defined('TYPE_LOGEMENT_CHAMBRE')
||define('TYPE_LOGEMENT_CHAMBRE', 'CHAMBRE');
defined('TYPE_CLIENT')
||define('TYPE_CLIENT', 'PERSONNE');
defined('TYPE_GROUPE')
||define('TYPE_GROUPE', 'GROUPE');
defined('FACTURE_NON_VALIDE')
||define('FACTURE_NON_VALIDE', '0');
defined('FACTURE_VALIDE')
||define('FACTURE_VALIDE', '1');
defined('RESERVATION_VALIDE')
||define('RESERVATION_VALIDE', '1');
defined('RESERVATION_NON_VALIDE')
||define('RESERVATION_NON_VALIDE', '0');
defined('RESERVATION_NON_ENTIEREMENT_VALIDE')
||define('RESERVATION_NON_ENTIEREMENT_VALIDE', '2');

defined('MOUVEMENT_NON_VALIDE')
||define('MOUVEMENT_NON_VALIDE', '0');
defined('MOUVEMENT_VALIDE')
||define('MOUVEMENT_VALIDE', '1');

defined('REMBOURSEMENT_NON_VALIDE')
||define('REMBOURSEMENT_NON_VALIDE', '0');
defined('REMBOURSEMENT_VALIDE')
||define('REMBOURSEMENT_VALIDE', '1');

defined('COULEUR_VALIDER')
||define('COULEUR_VALIDER',"rgba(9, 134, 77, 0.39)");

defined('TYPE_PRODUIT')
||define('TYPE_PRODUIT',"PRODUIT");
defined('TYPE_LOGEMENT')
||define('TYPE_LOGEMENT',"LOGEMENT");
defined('VALIDER')
||define('VALIDER', 1);
defined('NON_VALIDER')
||define('NON_VALIDER', 0);
defined('COULEUR_NON_VALIDER')
||define('COULEUR_NON_VALIDER', "#F2A104");
defined('COULEUR_SEMI_VALIDER')
||define('COULEUR_SEMI_VALIDER', "#00c0ef");
defined('TYPE_LOGEMENT_SALLE')
||define('TYPE_LOGEMENT_SALLE', 'SALLE');
defined('DB_PASSWORD')
    || define('DB_PASSWORD', 'fF6BvJ3cjvLQfURt');
defined('COULEUR_POSITIF')
    || define('COULEUR_POSITIF', '#F4874B');
defined('COULEUR_NEGATIF')
    || define('COULEUR_NEGATIF', '#00743F');
defined('DB_NAME')
    || define('DB_NAME', 'surveillance');

defined('DECIDEUR')
    || define('DECIDEUR', 'ALL');

defined('HOSTNAME')
    || define('HOSTNAME', 'localhost');

// Define path to public directory
defined('PUBLIC_PATH')
    || define('PUBLIC_PATH', realpath(dirname(__FILE__) . '/../public'));

// Define path to public directory
defined('LIBRARY_PATH')
    || define('LIBRARY_PATH', realpath(dirname(__FILE__) . '/../library'));

defined('IMG_PATH')
    || define('IMG_PATH', realpath(dirname(__FILE__) . '/../img'));

// Define application environment
defined('APPLICATION_ENV')
    || define('APPLICATION_ENV', (getenv('APPLICATION_ENV') ? getenv('APPLICATION_ENV') : 'production'));



// Ensure library/ is on include_path
set_include_path(implode(PATH_SEPARATOR, array(
    realpath(APPLICATION_PATH . '/../library'),
    get_include_path(),
)));

/** Zend_Application */
require_once 'Zend/Application.php';

// Create application, bootstrap, and run
$application = new Zend_Application(
    APPLICATION_ENV,
    APPLICATION_PATH . '/configs/application.ini'
);
$application->bootstrap()
            ->run();